Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.message.stream
Class VerificationKeyReturnValue

    java.lang.Object
      cryptix.message.stream.VerificationKeyReturnValue

public class VerificationKeyReturnValue
extends java.lang.Object

Return value for the verification key callback function

Version:
  $Revision: 1.1 $
Author:
  Edwin Woudt

Field Summary
`static int` | `FAIL` Fail the complete operation, i.e. throw an exception
`static int` | `IGNORE` Ignore the verification, just return the data
`static int` | `NOERROR` No error

Constructor Summary
`VerificationKeyReturnValue(int error)` Construct a VerificationKeyReturnValue with the given error.
`VerificationKeyReturnValue(KeyBundle bundle)` Construct a VerificationKeyReturnValue with the given keybundle.
`VerificationKeyReturnValue(java.security.PublicKey pubkey)` Construct a VerificationKeyReturnValue with the given public key.

Method Summary
`KeyBundle` | `getBundle()` Return the key bundle.
`int` | `getError()` Return the error value.
`java.security.PublicKey` | `getPublicKey()` Return the public key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NOERROR

    public static final int NOERROR

  No error

  See Also:
    Constant Field Values

### FAIL

    public static final int FAIL

  Fail the complete operation, i.e. throw an exception

  See Also:
    Constant Field Values

### IGNORE

    public static final int IGNORE

  Ignore the verification, just return the data

  See Also:
    Constant Field Values

Constructor Detail

### VerificationKeyReturnValue

    public VerificationKeyReturnValue(int error)

  Construct a VerificationKeyReturnValue with the given error. For NOERROR, use one of the other constructors

### VerificationKeyReturnValue

    public VerificationKeyReturnValue(java.security.PublicKey pubkey)

  Construct a VerificationKeyReturnValue with the given public key.

### VerificationKeyReturnValue

    public VerificationKeyReturnValue(KeyBundle bundle)

  Construct a VerificationKeyReturnValue with the given keybundle.

Method Detail

### getError

    public int getError()

  Return the error value. This is one of NOERROR, FAIL or IGNORE.

### getPublicKey

    public java.security.PublicKey getPublicKey()

  Return the public key. Returns null if there is an error or when a keybundle is the result

### getBundle

    public KeyBundle getBundle()

  Return the key bundle. Returns null if there is an error or when a key is the result

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.